﻿@using NacGroup.Infrastructure.Shared
@using NacGroup.Module.Core.Services
@model NacGroup.Module.Order.Models.Schema.OrderPickup
@inject IGettingGlobalConfigService GettingGlobalConfigService
@{
    var globalConfig = GettingGlobalConfigService.GetConfiguration();
    ViewData["MetaTitle"] = "Shopping Cart";
    Layout = "_Layout";
}
@section Style{
    <link href="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/css/main.css" rel="stylesheet" />
    <link href="/css/cartrestaurant-page.min.css" rel="stylesheet" />
}
@section Script{
    <script src="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/scripts/cart-page.min.js"></script>
}
<main id="product-page">
    <div id="app">
        <section class="container" id="cart-success">
            <h2 class="h2 text-center text-bold m-bot-3">
                Thanks For Your Order, @Model.FirstName
            </h2>
            <div class="section-body bg-white">
                <div class="section-content">
                    <h2 class="h5 text-bold">Order Summary</h2>
                   @foreach (var item in Model.OrderItems)
                   {
                       <div class="item clearfix">
                           <h3 class="h">
                               @item.Name (x@(item.Quantity))
                              @foreach (var modi in item.ModifierItems)
                              {
                                  <br />
                                  <span class="h6">+@modi.Name</span>
                              }
                               @if (string.IsNullOrEmpty(item.SpecialRequest))
                               {
                                   <br />
                                   <span class="h6">
                                       Special Request: @item.SpecialRequest
                                   </span>
                               }
                          
                           </h3>
                           <div class="price text-bold">
                               @item.Price.ToCurrency((int)globalConfig.Currency)
                           </div>
                       </div>
                   }
                </div>
                <div class="section-total">
                    <div class="item clearfix">
                        <h3 class="h">Subtotal</h3>
                        <div class="price text-bold">
                           @Model.SubTotalAmount.ToCurrency()
                        </div>
                    </div>
                    <div class="item clearfix">
                        <h3 class="h">Discount</h3>
                        <div class="price text-bold">
                            @Model.DiscountAmount.ToCurrency()
                        </div>
                    </div>
                    <div class="item clearfix">
                        <h3 class="h">Tax</h3>
                        <div class="price text-bold">
                            @Model.TotalTax.ToCurrency()
                        </div>
                    </div>

                    <div class="item clearfix">
                        <h3 class="h">Tips</h3>
                        <div class="price text-bold">
                            @Model.Tips.ToCurrency()
                        </div>
                    </div>
                    <div class="item clearfix">
                        <h3 class="h">Total</h3>
                        <div class="price text-bold">
                            @Model.TotalAmount.ToCurrency()
                        </div>
                    </div>
                </div>
                <div class="section-information">
                    <h2 class="h5 text-bold">Billing Information</h2>
                    <div class="item clearfix">
                        <h3 class="h">Order Number:</h3>
                        <div class="text-bold">
                            @Model.OrderGPosInformation.OrderPosNumber
                        </div>
                    </div>

                    <div class="item clearfix">
                        <h3 class="h">Order Date:</h3>
                        <div class="text-bold">
                            @Model.CreatedDate.ToString("MM/dd/yyyy hh:mm:ss tt")
                        </div>
                    </div>

                    <div class="item clearfix">
                        <h3 class="h">Pick-up Time:</h3>
                        <div class="text-bold">
                            @Model.OrderGPosInformation.OrderDateTime.ToString("MM/dd/yyyy hh:mm:ss tt")
                        </div>
                    </div>
                </div>
            </div>
            <div class="section-footer text-center m-top-4">
                <a class="btn btn-container btn-primary h5 m-top-2"
                   href="/">
                    Go Homepage
                </a>
            </div>
        </section>
    </div>
</main>
